Google Maps SDK with NS 3.0


#1

Anyone been able to get the nativescript google maps sdk plugin to work with NS 3.0

I am getting a weird error when trying the examples:

https://github.com/dapriett/nativescript-google-maps-sdk/issues/152

 Error: Now use instance.nativeView instead of instance.android
05-05 14:53:37.879  6225  6225 V JS      : File: "file:///data/data/com.myApp/files/app/tns_modules/nativescript-google-maps-sdk/map-view.js, line: 200, column: 12
05-05 14:53:37.879  6225  6225 V JS      :slight_smile:

-Randy


#2

This is resolved, just needed to update some code as shown in the issue:

Try using mapView.nativeView instead of mapView.android in your onMapReady function at ‘file:///data/data/com.myApp/files/app/views/maptest/maptest5.js’, line: 56, column: 16


#3

I have this error but I can’t understand your solution, can you explain in more details how to solve this?

I’m using this g map sdk https://github.com/dapriett/nativescript-google-maps-sdk

update: I had problem at addMarker function not onMapReady